Last Comment Bug 759044 - Intermittent test_browserFrame2.html | Too many mozhidden events
: Intermittent test_browserFrame2.html | Too many mozhidden events
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: Dale Harvey (:daleharvey)
:
Mentors:
Depends on:
Blocks: 438871 702880
  Show dependency treegraph
 
Reported: 2012-05-28 00:12 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Cleanup visibility message reciever on test completion (1.85 KB, patch)
2012-05-28 07:33 PDT, Dale Harvey (:daleharvey)
justin.lebar+bug: review+
Details | Diff | Review

Description Phil Ringnalda (:philor) 2012-05-28 00:12:02 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=12116692&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitests-3/5 on 2012-05-27 14:47:50 PDT for push 4c3f2ddd82e8
slave: talos-r3-xp-038

3347 INFO TEST-START | /tests/dom/tests/mochitest/browser-frame/test_browserFrame10.html
++DOMWINDOW == 26 (086AF158) [serial = 729] [outer = 05C60128]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 135: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 135: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
++DOCSHELL 0AB54BE8 == 9 [id = 307]
++DOMWINDOW == 27 (0A2AB4D8) [serial = 730] [outer = 00000000]
WARNING: Subdocument container has no frame: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsDocumentViewer.cpp, line 2408
++DOMWINDOW == 28 (1130BAB8) [serial = 731] [outer = 0A2AB488]
JavaScript error: chrome://browser/content/tabbrowser.xml, line 1919: aTab is null
3348 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame10.html | iframe recieved visibility changed
3349 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame10.html | mozHidden attribute correctly set
3350 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame10.html | mozHidden attribute correctly set
3351 INFO TEST-END | /tests/dom/tests/mochitest/browser-frame/test_browserFrame10.html | finished in 420ms
3352 INFO TEST-START | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html
++DOMWINDOW == 29 (10561138) [serial = 732] [outer = 05C60128]
3353 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | Too many mozhidden events
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 135: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getCharPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
JavaScript error: chrome://specialpowers/content/SpecialPowersObserverAPI.js, line 125: NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch.getBoolPref]
++DOCSHELL 11C65500 == 10 [id = 308]
++DOMWINDOW == 30 (10E40E50) [serial = 733] [outer = 00000000]
WARNING: Subdocument container has no frame: file e:/builds/moz2_slave/m-in-w32-dbg/build/layout/base/nsDocumentViewer.cpp, line 2408
++DOMWINDOW == 31 (11E5E6E8) [serial = 734] [outer = 10E40E00]
++DOMWINDOW == 32 (08481CA0) [serial = 735] [outer = 10E40E00]
3354 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | Got iframe load event.
3355 INFO TEST-END | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | finished in 325ms

https://tbpl.mozilla.org/php/getParsedLog.php?id=12124646&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound opt test mochitests-3/5 on 2012-05-27 23:51:48 PDT for push ab47ee11d57d
slave: talos-r3-w7-019

3352 INFO TEST-START | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html
3353 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | Too many mozhidden events
3354 INFO TEST-PASS | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | Got iframe load event.
3355 INFO TEST-END | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | finished in 103ms
Comment 1 Justin Lebar (not reading bugmail) 2012-05-28 06:32:04 PDT
Hmm..."Too many mozhidden events" appears only in test_browserFrame10.html, yet the failure is in the *following* test?

My guess is that this is seeing the hidden event which happens when we unload the iframe.  Perhaps we should unregister the listener before calling SimpleTest.finish().
Comment 2 Dale Harvey (:daleharvey) 2012-05-28 06:55:48 PDT
Yup, 10 comes directly before 2 as well, testing the fix and will trigger a bunch of trys
Comment 3 Dale Harvey (:daleharvey) 2012-05-28 07:33:07 PDT
Created attachment 627695 [details] [diff] [review]
Cleanup visibility message reciever on test completion
Comment 4 Justin Lebar (not reading bugmail) 2012-05-28 07:38:52 PDT
Comment on attachment 627695 [details] [diff] [review]
Cleanup visibility message reciever on test completion

r=me.
Comment 5 Dale Harvey (:daleharvey) 2012-05-28 08:45:23 PDT
pushed to try: https://tbpl.mozilla.org/?tree=Try&rev=f94077b055b9
Comment 6 Dale Harvey (:daleharvey) 2012-05-28 10:53:09 PDT
Happy with the try results, the one unexplained failure in XUL Opt looks unrelated
Comment 7 Justin Lebar (not reading bugmail) 2012-05-28 10:56:54 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/795e5c9bec72
Comment 8 Ed Morley [:emorley] 2012-05-29 10:21:31 PDT
https://hg.mozilla.org/mozilla-central/rev/795e5c9bec72
Comment 9 Treeherder Robot 2012-05-30 02:34:04 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=12181479&tree=Fx-Team
Rev3 WINNT 6.1 fx-team pgo test mochitests-3/5 on 2012-05-29 20:56:10
slave: talos-r3-w7-070

3353 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/browser-frame/test_browserFrame2.html | Too many mozhidden events
13684 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/whatwg/test_bug500328.html | an unexpected uncaught JS exception reported through window.onerror - NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDOMHistory.pushState] at http://mochi.test:8888/tests/dom/tests/mochitest/whatwg/test_bug500328.html:469

Note You need to log in before you can comment on or make changes to this bug.